Subject: [Tls-reg-review] Fwd: Request to register a new value in the TLS ALPN registry

From: Chuck Lever <[email-masked]>
Date: Thu, 18 Jun 2020 09:19:46 -0400

Hello-

It's been 21 days since I made this request. I haven't received
any response. Please advise!

> Begin forwarded message:
> 
> From: Chuck Lever <[email-masked]>
> Subject: Request to register a new value in the TLS ALPN registry
> Date: May 27, 2020 at 9:35:22 AM EDT
> To: [email-masked]
> Cc: [email-masked]
> Resent-From: <[email-masked]>
> Resent-To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], David Noveck <[email-masked]>
> 
> Hello-
> 
> https://datatracker.ietf.org/doc/draft-ietf-nfsv4-rpc-tls/ is now
> being considered by the IESG for publication as an RFC. IESG Last
> Call for this document expires today (May 27, 2020).
> 
> Section 8.2 of this document requests the allocation of an ALPN
> protocol ID for RPC-on-TLS. As required by RFC 8447 Section 17,
> I'm forwarding this request to [email-masked] for Expert
> Review.
> 
> Thanks for your time!
> 
> 
> --
> Chuck Lever

--
Chuck Lever

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 18 Jun 2020 14:01:24 +0000

IESG to BCC

On 6/18/20, 9:19 AM, "Chuck Lever" <[email-masked]> wrote:

    Hello-

I don't have this message, not sure if either Nick or Yoav do.  Sorry for it slipping through the cracks, even if nobody got it :)  Glad you followed up.

So you want this row added to the ALPN identifiers:

	Sun RPC over TLS  0x73 0x75 0x6e 0x72 0x70 0x63 [this-rfc]

 Not sure if that first column is the right description, please reply.

Either way, this is fine with me.  Nick/Yoav?

---

From: Chuck Lever <[email-masked]>
Date: Thu, 18 Jun 2020 10:10:49 -0400

Hi Rich-

> On Jun 18, 2020, at 10:01 AM, Salz, Rich <[email-masked]> wrote:
> 
> IESG to BCC
> 

"SunRPC over TLS" is preferred, thanks!

--
Chuck Lever

---

From: Yoav Nir <[email-masked]>
Date: Thu, 18 Jun 2020 22:54:47 +0300

It looks fine to me, but the hex string should follow the example of all the other registrations and include a textual representation, so 

 	0x73 0x75 0x6e 0x72 0x70 0x63 (“sunrpc")

Yoav

> On 18 Jun 2020, at 17:01, Salz, Rich <rsalz=[email-masked]> wrote:
> 
> IESG to BCC
> 
> _______________________________________________
> tls-reg-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls-reg-review

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 18 Jun 2020 19:59:33 +0000

So we have approval then, to add this row to the TLS ALPN registry
                SunRPC over TLS       0x73 0x75 0x6e 0x72 0x70 0x63 (“sunrpc")       [draft-ietf-nfsv4-rps-tls I-D]

Michelle, can you update?

From: Yoav Nir <[email-masked]>
Date: Thursday, June 18, 2020 at 3:55 PM
To: Rich Salz <[email-masked]>
Cc: Chuck Lever <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Tls-reg-review] Request to register a new value in the TLS ALPN registry

Yoav

On 18 Jun 2020, at 17:01, Salz, Rich <rsalz=[email-masked]<mailto:rsalz=[email-masked]>> wrote:

IESG to BCC

On 6/18/20, 9:19 AM, "Chuck Lever" <[email-masked]<mailto:[email-masked]>> wrote:

   Hello-

_______________________________________________
tls-reg-review mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tls-reg-review

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 22 Jun 2020 07:43:23 +0000

Thanks,

Then we will progress with the publication process to the next step, IESG evaluation.

Cheers

Magnus Westerlund 

From: Salz, Rich <[email-masked]> 
Sent: den 18 juni 2020 22:00
To: Yoav Nir <[email-masked]>; Michelle Cotton <[email-masked]>
Cc: Chuck Lever <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [Tls-reg-review] Request to register a new value in the TLS ALPN registry

 

From: Yoav Nir <[email-masked] <mailto:[email-masked]> >
Date: Thursday, June 18, 2020 at 3:55 PM
To: Rich Salz <[email-masked] <mailto:[email-masked]> >
Cc: Chuck Lever <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Subject: Re: [Tls-reg-review] Request to register a new value in the TLS ALPN registry

Yoav

On 18 Jun 2020, at 17:01, Salz, Rich <rsalz=[email-masked] <mailto:rsalz=[email-masked]> > wrote:

IESG to BCC

On 6/18/20, 9:19 AM, "Chuck Lever" <[email-masked] <mailto:[email-masked]> > wrote:

   Hello-

_______________________________________________
tls-reg-review mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/tls-reg-review